List My Sales
curl --request GET \
--url https://api.agentpowers.ai/v1/sellers/sales \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.agentpowers.ai/v1/sellers/sales"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.agentpowers.ai/v1/sellers/sales', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"sale_id": "<string>",
"skill_slug": "<string>",
"skill_name": "<string>",
"amount_cents": 123,
"commission_cents": 123,
"net_cents": 123,
"currency": "<string>",
"status": "<string>",
"buyer_display_name": "<string>",
"sold_at": "<string>"
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}sellers
List My Sales
List recent sales for the current seller’s skills.
GET
/
v1
/
sellers
/
sales
List My Sales
curl --request GET \
--url https://api.agentpowers.ai/v1/sellers/sales \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.agentpowers.ai/v1/sellers/sales"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.agentpowers.ai/v1/sellers/sales', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"sale_id": "<string>",
"skill_slug": "<string>",
"skill_name": "<string>",
"amount_cents": 123,
"commission_cents": 123,
"net_cents": 123,
"currency": "<string>",
"status": "<string>",
"buyer_display_name": "<string>",
"sold_at": "<string>"
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Provide a Clerk JWT or a long-lived CLI token (prefix ap_cli_). Pass as Authorization: Bearer <token>.
Query Parameters
Required range:
1 <= x <= 100Was this page helpful?